Commit 7896779f authored by Dan McGee's avatar Dan McGee
Browse files

Bump requirements to Django 1.4 and add new manage.py



The default manage.py script has been updated in Django 1.4, and the old
version and functions it calls is deprecated.

Signed-off-by: default avatarDan McGee <dan@archlinux.org>
parent 99da2f78
#!/usr/bin/env python2
import os
import sys
from django.core.management import execute_manager
if __name__ == "__main__":
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "settings")
try:
import settings # Assumed to be in the same directory.
except ImportError:
import sys
sys.stderr.write("Error: Can't find the file 'settings.py' in the directory containing %r. It appears you've customized things.\nYou'll have to run django-admin.py, passing it your settings module.\n" % __file__)
sys.exit(1)
from django.core.management import execute_from_command_line
if __name__ == "__main__":
execute_manager(settings)
execute_from_command_line(sys.argv)
# vim: set ts=4 sw=4 et:
Django==1.3.1
Django==1.4
Markdown==2.1.1
South==0.7.3
South==0.7.4
pgpdump==1.1
pytz>=2011n
pytz>=2012b
Django==1.3.1
Django==1.4
Markdown==2.1.1
MySQL-python==1.2.3
South==0.7.3
South==0.7.4
pgpdump==1.1
pyinotify==0.9.3
python-memcached==1.48
pytz>=2011n
pytz>=2012b
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment